This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 502753

Summary: switch to using PolicyKit
Product: [Fedora] Fedora Reporter: Rahul Sundaram <sundaram>
Component: preupgradeAssignee: Orphan Owner <extras-orphan>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: smohan, wwoods
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 502765    

Description Rahul Sundaram 2009-05-27 00:48:52 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 Will Woods 2009-05-27 13:20:26 EDT
Fine, but where's the porting guide for converting consolehelper apps to use PolicyKit? 

The only porting guide I've found is http://cgit.freedesktop.org/PolicyKit/tree/docs/PORTING-GUIDE - PolicyKit to polkit1.
Comment 2 Rahul Sundaram 2009-05-28 08:52:37 EDT
consolehelper and PolicyKit is not really at the same level. So it is not really a port. You can look at how PackageKit does it for example. Might be overkill for Preupgrade. So I will it upto to you.
Comment 3 John Poelstra 2009-06-08 16:18:44 EDT
Added 'FutureFeature' keyword to avoid rawhide base